Bug 102791 - RFE: feed --root to busybox RPM implementation - other busybox poke stuff
RFE: feed --root to busybox RPM implementation - other busybox poke stuff
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: busybox (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-21 00:40 EDT by R P Herrold
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-30 07:55:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2003-08-21 00:40:16 EDT
RFEs:
1.  feed rpm --root patch upstream to mainline busybox
2.  formally example/doco rpm2cpio.sh in /usr/share/doc/rpm-4.2/
3.  make busybox rpm md5sum aware and safer


[00:03] <gmkurtzer_> I said it only because I saw it at
http://www.busybox.net/screenshot.html

[00:03] <jbj> really, time to putter off and look, easier than putting rpm on
diet if already done.

[00:15] <jbj> yah, rpm and rpm2cpio both in busybox, sufficient to get job done
too. lots of metadata ignored, other problems, but basically workable.

[00:19] <gmkurtzer_> notice the rpm in busybox does not support chroot
[00:19] <gmkurtzer_> Where is that diet-rpmi when you need it! ;)
[00:20] <orc_orc> gmkurtzer_: chroot command is in busybox -- wing it

[00:21] <jbj> gmkkurtzer : you need/want --root? that shouldn't be more than 10
lines of code, not hard.
[00:22] <orc_orc> jbj: can you consider upstreaming that to mainline busybox as
an RFE, please?

[00:28] <jbj> orc_orc: keep poking me, i'm hoping to do internal rework of parts
of busybox in forth/lua as proof-of-concept bit slicer (like asn1) before
putting into rpm. i can do the chroot thing in maybe 15 minutes somewhen, mebbe
pick up filemode and mknod(2) from metadata too, that's probably worst hack,
they trust the mode in the payload headers.

[00:29] <gmkurtzer_> I just heard back from Eric (author of busybox), and he
would really appreciate the root patch. I will look into, but I am out of my
realm here.
[00:29] <jbj> hmmm, i suspect md5 check on extracted files could be done pretty
simply too.
[00:29] <gmkurtzer_> Also, he mentioned to me how to get the support.
[00:29] <gmkurtzer_> for rpm in busybox.

[00:30] <orc_orc> gmkurtzer_: send an IRC scrape to him -- 

[00:30] <jbj> orc_orc: hit me with an RFE in bugzilla please, bugzilla never
forgets ;-)
[00:30] <orc_orc> gotit
[00:30] <jbj> bugzilla.redhat.com
Comment 1 Paul Nasrat 2005-11-28 09:06:24 EST
RFE is against busybox's rpm implementation.
Comment 2 Ivana Varekova 2005-11-29 10:41:03 EST
The last version of busybox package (busybox-1.01-2) does not contain rpm
command so these problems are not present there. 
Comment 3 R P Herrold 2005-11-29 14:49:41 EST
Ivana

Of course busybox does have 'rpm' in it -- the option is not turned on in the
build in the version for anaconda, as it is not needed there, but rpm is clearly
in core busybox

This bug (and its three part RFE) was filed at the request of Jeff Johnson, for
some needs in the chroot build process.  see his comment at 00:28 in the transcript

Please look at the busybox sources and build model -- the need is to emit a
patch for the upstream busybox maintainer, who has indicated he will take it,
from the baseline RPM implementation, so taht the --root environment functions
in busybox, as it does in rpm, native.

.. reopening
Comment 4 Ivana Varekova 2005-11-30 07:55:05 EST
Busybox contains 'rpm' but fc version does not choose it as a part of itself, so
rpm problem does not affect fc or rhel.
I'm sorry but I don't know which patch Jeff meant and Jeff Johnson does not work
here so I can't ask him. I'm closing this bug.

Note You need to log in before you can comment on or make changes to this bug.